BEGIN ~RU_INFOM~

IF ~NumTimesTalkedTo(0)
    InPartySlot(LastTalkedToBy,0)~ THEN BEGIN RU_INFOM_0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO RU_INFOM_1
  IF ~~ THEN REPLY @2 GOTO RU_INFOM_1
  IF ~~ THEN REPLY @3 GOTO RU_INFOM_5
END

IF ~~ THEN BEGIN RU_INFOM_1
  SAY @4 = @5 = @6 = @7
  IF ~~ THEN REPLY @8 GOTO RU_INFOM_2
  IF ~~ THEN REPLY @9 GOTO RU_INFOM_4
END

IF ~~ THEN BEGIN RU_INFOM_2
  SAY @10 = @11 = @12 = @13 = @14 = @15
  IF ~~ THEN REPLY @16 GOTO RU_INFOM_3
  IF ~~ THEN REPLY @17 GOTO RU_INFOM_4
END

IF ~~ THEN BEGIN RU_INFOM_3
  SAY @18 = @19 = @20 = @21
  IF ~~ THEN DO ~SetGlobal("RU_CreationOfElber","GLOBAL",1)
                 ClearAllActions()
                 StartCutSceneMode()
                 StartCutScene("RU_CUTS1")~ EXIT
END

IF ~~ THEN BEGIN RU_INFOM_4
  SAY @22
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN RU_INFOM_5
  SAY @23
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END